### Method

# Secret Item set_label_sync

#### Declaration [src]

    gboolean
    secret_item_set_label_sync (
      SecretItem* self,
      const gchar* label,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Set the label of this item.

This function may block indefinitely. Use the asynchronous version in user interface threads.

#### Parameters

`label`

  Type: `const gchar*`

  A new label.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the change was successful or not.